#27-3-2023 Simulation
# 
# Investment Simulation
#
investment=function(m,s,r,A0, T, a, N)
{
  X=rep(0,N)
  for (j in 1:N) # N replications of T-period investment
  {
    t=0
    A=A0
    for (t in 1:T) # Simulation of replication j
      A=A*((1+r)*(1-a) + a*exp(rnorm(1,m,s)))
    X[j]=A
  }
  mest=mean(X)
  sdest=sd(X)
  return(c(mest,sdest))
}
m=0.02; s=0.01; r=0.03/12; T=24; A0=1000; N=1000
avalues=seq(0,1,0.05)
na=length(avalues)
results=matrix(rep(0,2*na), na, 2)
for (j in 1:na)
  results[j,]=investment(m,s,r,A0,T,avalues[j],N)
plot(results[,2]~results[,1], type="l")

